local classes = require "classes"
local defines = require "defines"
local Sound = classes.class()

function Sound:init(volume)
	self.maxvolume = 0.5
	self.volume = 0.5

	self.fadingin = false
	self.fadingout = false

	self.fadeintime = MENU_TRANSITIONTIME

	self.song = nil
	love.audio.setVolume(self.volume)
end

function Sound:playSound(path)
	self.song = love.audio.newSource(path, "stream")
	love.audio.play(self.song)
end

function Sound:stopSound()
	if (self.song ~= nil) then
		love.audio.stop(self.song)
	end
end

function fadeIn(dt, amount)
	self.volume = self.volume + ((self.maxvolume / amount) * dt)
end

function fadeOut(dt)
	self.volume = self.volume - ((self.maxvolume / amount) * dt)
end

return Sound