local classes = require "classes"
local defines = require 'defines'
local StraightBullet = classes.class()

function StraightBullet:init(x, y, dx, dy, xsize, ysize, texture, index, type, speed, slantx, slanty, size, angleoffset)
	self.x = x
	self.y = y
	self.dx = dx
	self.dy = dy
	self.xsize = xsize * size
	self.ysize = ysize * size
	self.drawable = love.graphics.newImage(texture)
	self.collision = Collider:addRectangle(x, y, self.xsize, self.ysize)
	Collider:addToGroup("enemy", self.collision)
	self.collision.type = type
	self.collision.index = index
	self.speed = speed
	self.size = size
	self.angleoffset = angleoffset
end

function StraightBullet:move(dt)
	local movex = 0
	local movey = 0

	self.x = self.x + (self.dx * dt * self.speed)
	movex = movex + (self.dx * dt * self.speed)

	self.y = self.y + (self.dy * dt * self.speed)
	movey = movey + (self.dy * dt * self.speed)

	self.collision:move(movex, movey)
end

function StraightBullet:draw()
	love.graphics.draw(self.drawable, self.x, self.y, 0, self.size, self.size)
	--self.collision:draw('fill')
end

return StraightBullet